using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Logistics_application
{
    /// <summary>
    /// Логика взаимодействия для LoginApplication.xaml
    /// </summary>
    public partial class LoginApplication : Page
    {
        gr682_ggi3Entities1 db = new gr682_ggi3Entities1();
        public LoginApplication()
        {
            InitializeComponent();
        }

        private void Entry_Click(object sender, RoutedEventArgs e)
        {
            if (loginbox.Text == "" || passwordbox.Password == "")
            {
                MessageBox.Show("Ошибка пустые поля");
            }
            if (db.Operator.Select(item => item.Login + " " + item.Password).Contains(loginbox.Text + " " + passwordbox.Password))
            {
                Manager.MainFrame.Navigate(new MainMenu());
            }
            else
            {
                MessageBox.Show("Ошибка логина/пароля");
            }
        }
    }
}
